#!/bin/sh

. /var/etc/autostart/start-config
if [ $debug = 'full' ]; then
	set -x
fi


if  [ ! $debug == 'off' ]; then                      
	echo "[STMDVB] start /var/etc/autostart/stmdvb.sh"
fi

if [ $HighSR == 'y' ]; then p1="highSR=1"; fi
if [ $swts == 'y' ]; then p2="swts=1"; fi

model=`cat /etc/model`

if [ $model == 'ufs922' ]; then
	insmod /lib/modules/stmdvb.ko 
else
	insmod /lib/modules/stmdvb.ko $p1 $p2
fi
